Bug 101586 - [PATCH] fix for 35 our ports (mostly pkg-plist)
[PATCH] fix for 35 our ports (mostly pkg-plist)
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Rong-En Fan
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-07 16:00 UTC by ssedov
Modified: 2006-08-15 16:26 UTC (History)
0 users

See Also:


Attachments
genius.diff (332 bytes, patch)
2006-08-07 16:00 UTC, ssedov
no flags Details | Diff
gimp-print.diff (1.13 KB, patch)
2006-08-07 16:00 UTC, ssedov
no flags Details | Diff
gliv.diff (310 bytes, patch)
2006-08-07 16:00 UTC, ssedov
no flags Details | Diff
gnome-mud.diff (760 bytes, patch)
2006-08-07 16:00 UTC, ssedov
no flags Details | Diff
gnubg.diff (2.40 KB, patch)
2006-08-07 16:00 UTC, ssedov
no flags Details | Diff
gtkballs.diff (710 bytes, patch)
2006-08-07 16:00 UTC, ssedov
no flags Details | Diff
id-utils.diff (419 bytes, patch)
2006-08-07 16:00 UTC, ssedov
no flags Details | Diff
kbiff.diff (1.61 KB, patch)
2006-08-07 16:00 UTC, ssedov
no flags Details | Diff
kdbg.diff (670 bytes, patch)
2006-08-07 16:00 UTC, ssedov
no flags Details | Diff
knights.diff (670 bytes, patch)
2006-08-07 16:00 UTC, ssedov
no flags Details | Diff
kwappen.diff (682 bytes, patch)
2006-08-07 16:00 UTC, ssedov
no flags Details | Diff
lilypond.diff (1.15 KB, patch)
2006-08-07 16:00 UTC, ssedov
no flags Details | Diff
linneighborhood.diff (389 bytes, patch)
2006-08-07 16:00 UTC, ssedov
no flags Details | Diff
pavuk.diff (578 bytes, patch)
2006-08-07 16:00 UTC, ssedov
no flags Details | Diff
poedit.diff (359 bytes, patch)
2006-08-07 16:00 UTC, ssedov
no flags Details | Diff
sane-backends.diff (1.30 KB, patch)
2006-08-07 16:00 UTC, ssedov
no flags Details | Diff
shishi.diff (925 bytes, patch)
2006-08-07 16:00 UTC, ssedov
no flags Details | Diff
wgetpro.diff (1.62 KB, patch)
2006-08-07 16:00 UTC, ssedov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description ssedov 2006-08-07 16:00:31 UTC
	Fix pkg-plist. I decided to send all patches in one PR for
	at least one committer were not happy with my recent 50+ PR's.

Fix: diff -ruN /usr/ports/x11-fm/gentoo/pkg-plist gentoo/pkg-plist
--- /usr/ports/x11-fm/gentoo/pkg-plist	Sun Jan 22 09:28:57 2006
+++ gentoo/pkg-plist	Mon Aug  7 17:55:47 2006
@@ -244,3 +244,5 @@
 %%NLS%%@dirrmtry share/locale/ru_RU.utf8
 %%NLS%%@dirrmtry share/locale/ja_JP.UTF-8/LC_MESSAGES
 %%NLS%%@dirrmtry share/locale/ja_JP.UTF-8
+%%NLS%%@dirrmtry share/locale/pl/LC_MESSAGES
+%%NLS%%@dirrmtry share/locale/pl
--- gentoo.diff ends here ---

diff -ruN /usr/ports/devel/gindent/pkg-plist gindent/pkg-plist
--- /usr/ports/devel/gindent/pkg-plist	Thu Mar 25 14:42:35 2004
+++ gindent/pkg-plist	Mon Aug  7 17:57:26 2006
@@ -22,3 +22,15 @@
 %%NLS%%share/locale/tr/LC_MESSAGES/indent.mo
 %%NLS%%share/locale/zh_TW.Big5/LC_MESSAGES/indent.mo
 %%PORTDOCS%%@dirrm %%DOCSDIR%%
+%%NLS%%@dirrmtry share/locale/ca/LC_MESSAGES
+%%NLS%%@dirrmtry share/locale/ca
+%%NLS%%@dirrmtry share/locale/fi/LC_MESSAGES
+%%NLS%%@dirrmtry share/locale/fi
+%%NLS%%@dirrmtry share/locale/gl/LC_MESSAGES
+%%NLS%%@dirrmtry share/locale/gl
+%%NLS%%@dirrmtry share/locale/ko/LC_MESSAGES
+%%NLS%%@dirrmtry share/locale/ko
+%%NLS%%@dirrmtry share/locale/pl/LC_MESSAGES
+%%NLS%%@dirrmtry share/locale/pl
+%%NLS%%@dirrmtry share/locale/sk/LC_MESSAGES
+%%NLS%%@dirrmtry share/locale/sk
--- gindent.diff ends here ---

diff -ruN /usr/ports/databases/glom/Makefile glom/Makefile
--- /usr/ports/databases/glom/Makefile	Sun Apr  2 11:35:51 2006
+++ glom/Makefile	Mon Aug  7 17:58:44 2006
@@ -26,6 +26,7 @@
 USE_PYTHON=	yes
 
 GNU_CONFIGURE=	yes
+USE_GETTEXT=	yes
 USE_GMAKE=	yes
 USE_GNOME=	gnomehack gnomeprefix pygnomeextras
 CONFIGURE_ENV+=	CPPFLAGS="-I${LOCALBASE}/include" \
@@ -38,7 +39,7 @@
 .include <bsd.port.pre.mk>
 
 .if (${OSVERSION} < 500000)
-BROKEN=		"Doesn't play well with 4.X."
+BROKEN=		doesn't play well with 4.X.
 .endif
 
 .include <bsd.port.post.mk>
diff -ruN /usr/ports/databases/glom/pkg-plist glom/pkg-plist
--- /usr/ports/databases/glom/pkg-plist	Sun Nov  6 04:47:33 2005
+++ glom/pkg-plist	Sun Aug  6 19:06:15 2006
@@ -36,3 +36,5 @@
 @dirrm share/gnome/glom/xslt
 @dirrm share/gnome/glom/glade
 @dirrm share/gnome/glom
+@dirrmtry share/locale/rw/LC_MESSAGES
+@dirrmtry share/locale/rw
--- glom.diff ends here ---

diff -ruN /usr/ports/net/gnu-radius/Makefile gnu-radius/Makefile
--- /usr/ports/net/gnu-radius/Makefile	Fri Apr 14 22:14:55 2006
+++ gnu-radius/Makefile	Mon Aug  7 18:01:14 2006
@@ -21,7 +21,7 @@
 USE_GMAKE=	yes
 USE_AUTOTOOLS=	libltdl:15
 GNU_CONFIGURE=	yes
-INSTALLS_SHLIB=	yes
+USE_LDCONFIG=	yes
 USE_GETTEXT=	yes
 CONFIGURE_TARGET=	# empty
 
diff -ruN /usr/ports/net/gnu-radius/pkg-plist gnu-radius/pkg-plist
--- /usr/ports/net/gnu-radius/pkg-plist	Thu Feb 23 13:38:20 2006
+++ gnu-radius/pkg-plist	Mon Aug  7 18:01:04 2006
@@ -122,6 +122,10 @@
 @dirrm %%DATADIR%%/%%PORTVERSION%%
 @dirrm %%DATADIR%%
 @dirrmtry lib/security
+@dirrmtry share/locale/ca/LC_MESSAGES
+@dirrmtry share/locale/ca
+@dirrmtry share/locale/pl/LC_MESSAGES
+@dirrmtry share/locale/pl
 @unexec rm -f /var/run/radiusd.pid
 @unexec rm -rf /var/log/radius
 @unexec echo "Leaving /var/run/radutmp, /var/log/radwtmp and /var/log/radstat alone."
--- gnu-radius.diff ends here ---

diff -ruN /usr/ports/misc/gretl/pkg-plist gretl/pkg-plist
--- /usr/ports/misc/gretl/pkg-plist	Mon Aug  7 07:09:35 2006
+++ gretl/pkg-plist	Mon Aug  7 18:36:51 2006
@@ -409,3 +409,5 @@
 @dirrm lib/gretl-gtk2/data
 @dirrm lib/gretl-gtk2
 @dirrm include/gretl
+@dirrmtry share/locale/rw/LC_MESSAGES
+@dirrmtry share/locale/rw
--- gretl.diff ends here ---

diff -ruN /usr/ports/graphics/gtksee/Makefile gtksee/Makefile
--- /usr/ports/graphics/gtksee/Makefile	Mon May  8 03:46:06 2006
+++ gtksee/Makefile	Mon Aug  7 18:06:02 2006
@@ -9,7 +9,8 @@
 PORTVERSION=	0.5.6
 PORTREVISION=	1
 CATEGORIES=	graphics
-MASTER_SITES=	http://download.berlios.de/gtksee/
+MASTER_SITES=	${MASTER_SITE_BERLIOS}
+MASTER_SITE_SUBDIR=${PORTNAME}
 
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Image viewer
diff -ruN /usr/ports/graphics/gtksee/pkg-plist gtksee/pkg-plist
--- /usr/ports/graphics/gtksee/pkg-plist	Sun Jan 22 08:52:18 2006
+++ gtksee/pkg-plist	Mon Aug  7 18:04:47 2006
@@ -10,3 +10,5 @@
 %%NLS%%@dirrmtry share/locale/zh_CN.EUC
 %%NLS%%@dirrmtry share/locale/ru_UA/LC_MESSAGES
 %%NLS%%@dirrmtry share/locale/ru_UA
+%%NLS%%@dirrmtry share/locale/pl/LC_MESSAGES
+%%NLS%%@dirrmtry share/locale/pl
--- gtksee.diff ends here ---

diff -ruN /usr/ports/graphics/jpegpixi/Makefile jpegpixi/Makefile
--- /usr/ports/graphics/jpegpixi/Makefile	Mon Nov 28 19:56:47 2005
+++ jpegpixi/Makefile	Mon Aug  7 18:09:56 2006
@@ -10,7 +10,7 @@
 CATEGORIES=	graphics
 MASTER_SITES=	http://www.zero-based.org/software/jpegpixi/
 
-MAINTAINER=	ports@FreeBSD.org
+MAINTAINER=	ssedov@mbsd.msk.ru
 COMMENT=	Useful to correct images from digtal camera with CCD defects
 
 LIB_DEPENDS=	jpeg.9:${PORTSDIR}/graphics/jpeg
diff -ruN /usr/ports/graphics/jpegpixi/pkg-plist jpegpixi/pkg-plist
--- /usr/ports/graphics/jpegpixi/pkg-plist	Tue Feb  1 02:02:29 2005
+++ jpegpixi/pkg-plist	Mon Aug  7 18:09:17 2006
@@ -3,3 +3,5 @@
 %%NLS%%share/locale/de/LC_MESSAGES/jpegpixi.mo
 %%NLS%%share/locale/fi/LC_MESSAGES/jpegpixi.mo
 %%NLS%%share/locale/fr/LC_MESSAGES/jpegpixi.mo
+%%NLS%%@dirrmtry share/locale/fi/LC_MESSAGES
+%%NLS%%@dirrmtry share/locale/fi
--- jpegpixi.diff ends here ---

diff -ruN /usr/ports/games/kbilliards/Makefile kbilliards/Makefile
--- /usr/ports/games/kbilliards/Makefile	Mon Jun 12 13:10:47 2006
+++ kbilliards/Makefile	Mon Aug  7 18:18:59 2006
@@ -15,6 +15,7 @@
 EXTRA_PATCHES=	${.CURDIR}/../../x11/kde3/files/extrapatch-old_configure
 
 USE_BZIP2=	yes
+USE_GETTEXT=	yes
 USE_KDELIBS_VER=3
 USE_PERL5_BUILD=yes
 USE_GMAKE=	yes
diff -ruN /usr/ports/games/kbilliards/pkg-plist kbilliards/pkg-plist
--- /usr/ports/games/kbilliards/pkg-plist	Mon Jun 12 13:10:47 2006
+++ kbilliards/pkg-plist	Sun Aug  6 19:06:18 2006
@@ -66,3 +66,5 @@
 @dirrm share/apps/kbilliards/maps
 @dirrm share/apps/kbilliards/balls
 @dirrm share/apps/kbilliards
+@dirrmtry share/locale/cs/LC_MESSAGES
+@dirrmtry share/locale/cs
--- kbilliards.diff ends here ---

diff -ruN /usr/ports/deskutils/kdissert/pkg-plist kdissert/pkg-plist
--- /usr/ports/deskutils/kdissert/pkg-plist	Tue Aug  1 23:41:10 2006
+++ kdissert/pkg-plist	Sun Aug  6 19:06:16 2006
@@ -84,3 +84,13 @@
 @dirrm share/apps/kdissert/templatedata
 @dirrm share/apps/kdissert/pics
 @dirrm share/apps/kdissert
+@dirrmtry share/locale/cs/LC_MESSAGES
+@dirrmtry share/locale/cs
+@dirrmtry share/locale/el/LC_MESSAGES
+@dirrmtry share/locale/el
+@dirrmtry share/locale/gl/LC_MESSAGES
+@dirrmtry share/locale/gl
+@dirrmtry share/locale/pl/LC_MESSAGES
+@dirrmtry share/locale/pl
+@dirrmtry share/locale/pt/LC_MESSAGES
+@dirrmtry share/locale/pt
--- kdissert.diff ends here ---

diff -ruN /usr/ports/deskutils/knowit/Makefile knowit/Makefile
--- /usr/ports/deskutils/knowit/Makefile	Fri May  5 01:40:13 2006
+++ knowit/Makefile	Mon Aug  7 18:18:12 2006
@@ -17,6 +17,7 @@
 COMMENT=	A note manager with tree organization that uses RTF for storage
 
 USE_BZIP2=	yes
+USE_GETTEXT=	yes
 USE_KDELIBS_VER=	3
 USE_GMAKE=	yes
 USE_AUTOTOOLS=	libtool:15
diff -ruN /usr/ports/deskutils/knowit/pkg-plist knowit/pkg-plist
--- /usr/ports/deskutils/knowit/pkg-plist	Sun Jan 22 03:26:50 2006
+++ knowit/pkg-plist	Sun Aug  6 19:06:16 2006
@@ -30,3 +30,7 @@
 @dirrm share/apps/knowit
 @dirrmtry share/applnk/Applications
 @dirrmtry share/applnk
+@dirrmtry share/locale/pl/LC_MESSAGES
+@dirrmtry share/locale/pl
+@dirrmtry share/locale/sk/LC_MESSAGES
+@dirrmtry share/locale/sk
--- knowit.diff ends here ---

diff -ruN /usr/ports/textproc/libtre/Makefile libtre/Makefile
--- /usr/ports/textproc/libtre/Makefile	Sat Aug  5 19:19:54 2006
+++ libtre/Makefile	Mon Aug  7 18:38:42 2006
@@ -24,7 +24,7 @@
 USE_GETOPT_LONG=	yes
 USE_AUTOTOOLS=	libtool:15
 CONFIGURE_ENV=	CPPFLAGS="${CPPFLAGS}" LDFLAGS="${LDFLAGS}"
-INSTALLS_SHLIB=	yes
+USE_LDCONFIG=	yes
 
 CPPFLAGS=	-I${LOCALBASE}/include
 LDFLAGS=	-L${LOCALBASE}/lib
diff -ruN /usr/ports/textproc/libtre/pkg-plist libtre/pkg-plist
--- /usr/ports/textproc/libtre/pkg-plist	Thu Feb 23 13:39:23 2006
+++ libtre/pkg-plist	Mon Aug  7 18:20:22 2006
@@ -12,3 +12,5 @@
 %%PORTDOCS%%%%DOCSDIR%%/tre-syntax.html
 @dirrm include/tre
 %%PORTDOCS%%@dirrm %%DOCSDIR%%
+%%NLS%%@dirrmtry share/locale/fi/LC_MESSAGES
+%%NLS%%@dirrmtry share/locale/fi
--- libtre.diff ends here ---

diff -ruN /usr/ports/games/lincity/pkg-plist lincity/pkg-plist
--- /usr/ports/games/lincity/pkg-plist	Sun Apr 30 01:50:26 2006
+++ lincity/pkg-plist	Mon Aug  7 18:22:23 2006
@@ -532,6 +532,8 @@
 %%DATADIR%%/opening/winfont_8x8.fnt
 %%NLS%%share/locale/ca/LC_MESSAGES/lincity.mo
 %%NLS%%share/locale/it/LC_MESSAGES/lincity.mo
+%%NLS%%@dirrmtry share/locale/ca/LC_MESSAGES
+%%NLS%%@dirrmtry share/locale/ca
 @dirrm %%DATADIR%%/opening
 @dirrm %%DATADIR%%/messages
 @dirrm %%DATADIR%%/icons
--- lincity.diff ends here ---

diff -ruN /usr/ports/net/linphone-base/Makefile linphone-base/Makefile
--- /usr/ports/net/linphone-base/Makefile	Sat Jul 15 05:46:12 2006
+++ linphone-base/Makefile	Mon Aug  7 18:23:04 2006
@@ -35,7 +35,7 @@
 		--disable-ewarning --without-ilbc --disable-strict \
 		--with-speex=${LOCALBASE} --with-osip=${LOCALBASE} \
 		--with-html-dir=${DOCSDIR}
-INSTALLS_SHLIB=	yes
+USE_LDCONFIG=	yes
 
 MAN1=		linphonec.1 sipomatic.1
 
diff -ruN /usr/ports/net/linphone-base/pkg-plist linphone-base/pkg-plist
--- /usr/ports/net/linphone-base/pkg-plist	Fri May 26 14:23:19 2006
+++ linphone-base/pkg-plist	Mon Aug  7 18:22:55 2006
@@ -59,6 +59,10 @@
 share/locale/pl/LC_MESSAGES/linphone.mo
 share/locale/pt_BR/LC_MESSAGES/linphone.mo
 share/locale/sv/LC_MESSAGES/linphone.mo
+@dirrmtry share/locale/cs/LC_MESSAGES
+@dirrmtry share/locale/cs
+@dirrmtry share/locale/pl/LC_MESSAGES
+@dirrmtry share/locale/pl
 @dirrm %%DOCSDIR%%/mediastreamer
 @dirrm %%DOCSDIR%%
 @dirrm %%DATADIR%%/sounds/rings
--- linphone-base.diff ends here ---

diff -ruN /usr/ports/misc/pinfo/pkg-plist pinfo/pkg-plist
--- /usr/ports/misc/pinfo/pkg-plist	Fri Mar 31 07:26:51 2006
+++ pinfo/pkg-plist	Mon Aug  7 18:24:20 2006
@@ -11,3 +11,9 @@
 %%NLS%%share/locale/ru/LC_MESSAGES/pinfo.mo
 %%NLS%%share/locale/sv/LC_MESSAGES/pinfo.mo
 %%NLS%%share/locale/vi/LC_MESSAGES/pinfo.mo
+%%NLS%%@dirrmtry share/locale/cs/LC_MESSAGES
+%%NLS%%@dirrmtry share/locale/cs
+%%NLS%%@dirrmtry share/locale/pl/LC_MESSAGES
+%%NLS%%@dirrmtry share/locale/pl
+%%NLS%%@dirrmtry share/locale/ro/LC_MESSAGES
+%%NLS%%@dirrmtry share/locale/ro
--- pinfo.diff ends here ---

diff -ruN /usr/ports/audio/quelcom/Makefile quelcom/Makefile
--- /usr/ports/audio/quelcom/Makefile	Wed Jun 21 19:26:04 2006
+++ quelcom/Makefile	Mon Aug  7 18:25:56 2006
@@ -19,7 +19,7 @@
 USE_GMAKE=	yes
 MAKEFILE=	makefile
 MAKE_ENV=	CXX="${CXX}" CXXFLAGS="${CXXFLAGS}" LDFLAGS="${LDFLAGS}"
-INSTALLS_SHLIB=	yes
+USE_LDCONFIG=	yes
 
 CXXFLAGS+=	-I../lib -I${LOCALBASE}/include ${CPPFLAGS} \
 		-DHAVE_DECL_GETOPT -fPIC
diff -ruN /usr/ports/audio/quelcom/pkg-plist quelcom/pkg-plist
--- /usr/ports/audio/quelcom/pkg-plist	Sat Feb 14 15:54:16 2004
+++ quelcom/pkg-plist	Sun Aug  6 19:06:15 2006
@@ -16,3 +16,5 @@
 share/locale/ca/LC_MESSAGES/quelcom.mo
 share/locale/es/LC_MESSAGES/quelcom.mo
 %%PORTDOCS%%@dirrm %%DOCSDIR%%
+@dirrmtry share/locale/ca/LC_MESSAGES
+@dirrmtry share/locale/ca
--- quelcom.diff ends here ---

diff -ruN /usr/ports/www/screem/Makefile screem/Makefile
--- /usr/ports/www/screem/Makefile	Tue May  2 08:16:48 2006
+++ screem/Makefile	Mon Aug  7 18:28:51 2006
@@ -18,6 +18,7 @@
 LIB_DEPENDS=	croco-0.6.3:${PORTSDIR}/textproc/libcroco
 
 USE_X_PREFIX=	yes
+USE_GETTEXT=	yes
 USE_GNOME=	desktopfileutils gnomehack gnomemenus gnomeprefix gnometarget \
 		gtksourceview intlhack libgnomeprintui libgnomeui libgtkhtml
 USE_XPM=	yes
diff -ruN /usr/ports/www/screem/pkg-plist screem/pkg-plist
--- /usr/ports/www/screem/pkg-plist	Thu Feb 23 13:39:44 2006
+++ screem/pkg-plist	Sun Aug  6 19:06:26 2006
@@ -247,3 +247,5 @@
 @exec %%LOCALBASE%%/bin/update-mime-database %D/share/mime
 @unexec %%LOCALBASE%%/bin/update-mime-database %D/share/mime
 @unexec %%LOCALBASE%%/bin/update-desktop-database > /dev/null || /usr/bin/true
+@dirrmtry share/locale/rw/LC_MESSAGES
+@dirrmtry share/locale/rw
--- screem.diff ends here ---

diff -ruN /usr/ports/editors/ssed/pkg-plist ssed/pkg-plist
--- /usr/ports/editors/ssed/pkg-plist	Sun Dec 26 12:07:25 2004
+++ ssed/pkg-plist	Mon Aug  7 18:30:33 2006
@@ -30,3 +30,23 @@
 %%NLS%%share/locale/sv/LC_MESSAGES/ssed.mo
 %%NLS%%share/locale/tr/LC_MESSAGES/ssed.mo
 %%NLS%%share/locale/zh_CN/LC_MESSAGES/ssed.mo
+%%NLS%%@dirrmtry share/locale/ca/LC_MESSAGES
+%%NLS%%@dirrmtry share/locale/ca
+%%NLS%%@dirrmtry share/locale/cs/LC_MESSAGES
+%%NLS%%@dirrmtry share/locale/cs
+%%NLS%%@dirrmtry share/locale/el/LC_MESSAGES
+%%NLS%%@dirrmtry share/locale/el
+%%NLS%%@dirrmtry share/locale/fi/LC_MESSAGES
+%%NLS%%@dirrmtry share/locale/fi
+%%NLS%%@dirrmtry share/locale/gl/LC_MESSAGES
+%%NLS%%@dirrmtry share/locale/gl
+%%NLS%%@dirrmtry share/locale/ko/LC_MESSAGES
+%%NLS%%@dirrmtry share/locale/ko
+%%NLS%%@dirrmtry share/locale/pl/LC_MESSAGES
+%%NLS%%@dirrmtry share/locale/pl
+%%NLS%%@dirrmtry share/locale/ro/LC_MESSAGES
+%%NLS%%@dirrmtry share/locale/ro
+%%NLS%%@dirrmtry share/locale/sk/LC_MESSAGES
+%%NLS%%@dirrmtry share/locale/sk
+%%NLS%%@dirrmtry share/locale/sl/LC_MESSAGES
+%%NLS%%@dirrmtry share/locale/sl
--- ssed.diff ends here ---
Comment 1 Rong-En Fan freebsd_committer 2006-08-08 11:10:44 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rafan

Eat.
Comment 2 Rong-En Fan freebsd_committer 2006-08-15 16:26:45 UTC
State Changed
From-To: open->closed

Committed. Thanks!